Description

PostgreSQL supports SCRAM encryption and PostgreSQL 14 will also default to this. Moving to it sooner helps removing md5 from

the system.

https://github.com/puppetlabs/puppetlabs-postgresql/pull/1313  added some initial SCRAM support to the installer (foreman-installer

3.3) and https://github.com/puppetlabs/puppetlabs-postgresql/pull/1406 changes the default encryption to SCRAM on PostgreSQL

14, reflecting PostgreSQL defaults (foreman-installer 3.9). It should be possible to set the installer wide default to SCRAM now using

Hiera.

Associated revisions

Revision d83807b2 - 04/17/2024 12:58 PM - Ewoud Kohl van Wijngaarden

Fixes #37297 - Use SCRAM passwd encryption with PostgreSQL

PostgreSQL supports SCRAM encryption and PostgreSQL 14 will also default

to this. Moving to it sooner helps removing md5 from the system.

History

#1 - 03/25/2024 05:02 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/foreman-installer/pull/924 added

#2 - 04/17/2024 12:58 PM - The Foreman Bot

- Fixed in Releases 3.11.0 added

#3 - 04/17/2024 01:00 PM - Ewoud Kohl van Wijngaarden

- Status changed from Ready For Testing to Closed

Applied in changeset installer|d83807b26fb1196967950fe32f7e9a37946783f4.
